> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Brand Social Channels

> List the social channels configured for a project, optionally filtered to one brand.



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /brands/social-channels
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /brands/social-channels:
    get:
      tags:
        - Project
      summary: List Brand Social Channels
      description: >-
        List the social channels configured for a project, optionally filtered
        to one brand.
      operationId: getBrandsSocial-channels
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
        - name: brand_id
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        brand_id:
                          type: string
                        platform:
                          type: string
                          enum:
                            - reddit
                            - youtube
                            - instagram
                            - tiktok
                        channel_id:
                          type: string
                        channel_handle:
                          type: string
                      required:
                        - id
                        - brand_id
                        - platform
                        - channel_id
                        - channel_handle
                required:
                  - data
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````